Subject: Re: [PATCH] merge-tree: accept 3 trees as arguments

From: Junio C Hamano <[email-masked]>
Date: Wed, 31 Jan 2024 10:14:39 -0800

Elijah Newren <[email-masked]> writes:

> On Tue, Jan 30, 2024 at 9:15 AM Junio C Hamano <[email-masked]> wrote:
>> ...
>> > but aaaaaaa and bbbbbbb are not commits that they can find.
>>
>> Correct.  They are what they fed as two trees to be merged, aren't
>> they?  They (or the script that drives merge-tree and fed these two
>> trees) should be recognise these two trees, as long as they are told

I notice "able to" is missing here...

>> that is what we show, no?
> ...
> Yeah, I was worried though that the end user wasn't the one running
> the git-merge-tree command, and was trying to dig more into usage
> cases.

Sure.  That is exactly why I wrote "They (or the script that
drives..."  above.